Bug 56127 - PdfRenderer of Android does not render some fonts present in the PDF document in Android API 23 (Android 6.0)
Summary: PdfRenderer of Android does not render some fonts present in the PDF document...
Status: REOPENED
Alias: None
Product: Android
Classification: Xamarin
Component: General (show other bugs)
Version: 6.0.0
Hardware: Other Other
: --- normal
Target Milestone: ---
Assignee: Marek Habersack
URL:
Depends on:
Blocks:
 
Reported: 2017-05-09 10:08 UTC by Sathish S
Modified: 2017-07-24 04:41 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Attached PDF document cannot render the text properly (577.35 KB, application/pdf)
2017-05-09 10:08 UTC, Sathish S
Details
SamplePdfRenderer (448.07 KB, application/x-zip-compressed)
2017-06-15 06:47 UTC, Sathish S
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 56127 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
REOPENED

Description Sathish S 2017-05-09 10:08:03 UTC
Created attachment 22022 [details]
Attached PDF document cannot render the text properly

We have used Android.Graphics.Pdf.PdfRenderer Class to render pages from PDF document. It does not render some text present in the PDF document and it seems to be a break in native PdfRenderer API with the Android API 23 (Android 6.0) - Marshmallow as we do not face same issue in Android API 21 (Android 5.0) – Lollipop.

Can someone please help us to resolve this problem and render the PDF documents properly using PdfRenderer API with the Android API 23 (Android 6.0) - Marshmallow?

Please find the PDF document for your reference in the attachment
Comment 1 Sathish S 2017-06-08 07:18:39 UTC
Hi team,

Any update on this bug report?

Regards,
Sathish
Comment 2 Marek Habersack 2017-06-08 08:55:38 UTC
@Sathish, we would need you to provide us with a sample app that reproduces the issue. From your description alone it seems it's not an issue with Xamarin.Android but rather an upstream, Android, change in behavior - if that is indeed the case we won't be able to change anything, most probably. Please create the repro app and reopen the bug after attaching it, we can investigate further then. Thanks!
Comment 3 Sathish S 2017-06-15 06:44:01 UTC
Hi Marek,

I have attached the simple sample for your reference. Please take a look at the sample and see the difference in the device with Android API 23 (Android 6.0) - Marshmallow and  Android API 21 (Android 5.0) – Lollipop.

Thanks,
Sathish
Comment 4 Sathish S 2017-06-15 06:47:44 UTC
Created attachment 22907 [details]
SamplePdfRenderer

Hi Marek,

I have attached the simple sample for your reference. Please take a look at the sample and see the difference in the device with Android API 23 (Android 6.0) - Marshmallow and  Android API 21 (Android 5.0) – Lollipop.

Thanks,
Sathish
Comment 5 Sathish S 2017-07-07 05:21:26 UTC
Hi @Marek,

Any update on this issue?

Regards,
Sathish
Comment 6 Sathish S 2017-07-24 04:41:46 UTC
Reopened the bug report